org.jboss.jca.common.metadata.common

## Class PoolImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.common.PoolImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.common.Pool, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata
  Direct Known Subclasses:
    DsPoolImpl, XaPoolImpl

      public class PoolImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.common.Pool

  A PoolImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.common.Pool

      `org.jboss.jca.common.api.metadata.common.Pool.Tag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.jboss.jca.common.api.metadata.common.Capacity` | `capacity` capacity
    `protected java.lang.Boolean` | `fair` is-fair
    `protected org.jboss.jca.common.api.metadata.common.FlushStrategy` | `flushStrategy` flush-strategy
    `protected java.lang.Integer` | `initialPoolSize` initial-pool-size
    `protected java.lang.Integer` | `maxPoolSize` maxPoolSize
    `protected java.lang.Integer` | `minPoolSize` minPoolSize
    `protected java.lang.Boolean` | `prefill` prefill
    `protected java.lang.Boolean` | `useStrictMin` use-strict-min

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PoolImpl(java.lang.Integer minPoolSize, java.lang.Integer initialPoolSize, java.lang.Integer maxPoolSize, java.lang.Boolean prefill, java.lang.Boolean useStrictMin, org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy, org.jboss.jca.common.api.metadata.common.Capacity capacity, java.lang.Boolean fair)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `org.jboss.jca.common.api.metadata.common.Capacity` | `getCapacity()` Get the capacity
    `org.jboss.jca.common.api.metadata.common.FlushStrategy` | `getFlushStrategy()` Get the flushStrategy.
    `java.lang.Integer` | `getInitialPoolSize()` Get the initial pool size
    `java.lang.Integer` | `getMaxPoolSize()` Get the maxPoolSize.
    `java.lang.Integer` | `getMinPoolSize()` Get the minPoolSize.
    `int` | `hashCode()`
    `java.lang.Boolean` | `isFair()` Get pool fairness.
    `java.lang.Boolean` | `isPrefill()` Get the prefill.
    `java.lang.Boolean` | `isUseStrictMin()` Get the useStrictMin.
    `java.lang.String` | `toString()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### minPoolSize

          protected java.lang.Integer minPoolSize

      minPoolSize

    - #### initialPoolSize

          protected java.lang.Integer initialPoolSize

      initial-pool-size

    - #### maxPoolSize

          protected java.lang.Integer maxPoolSize

      maxPoolSize

    - #### prefill

          protected java.lang.Boolean prefill

      prefill

    - #### useStrictMin

          protected java.lang.Boolean useStrictMin

      use-strict-min

    - #### flushStrategy

          protected org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy

      flush-strategy

    - #### capacity

          protected org.jboss.jca.common.api.metadata.common.Capacity capacity

      capacity

    - #### fair

          protected java.lang.Boolean fair

      is-fair

  - ### Constructor Detail

    - #### PoolImpl

          public PoolImpl(java.lang.Integer minPoolSize,
                          java.lang.Integer initialPoolSize,
                          java.lang.Integer maxPoolSize,
                          java.lang.Boolean prefill,
                          java.lang.Boolean useStrictMin,
                          org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy,
                          org.jboss.jca.common.api.metadata.common.Capacity capacity,
                          java.lang.Boolean fair)
                   throws org.jboss.jca.common.api.validator.ValidateException

      Constructor
      Parameters:
        `minPoolSize` - minPoolSize
        `initialPoolSize` - initialPoolSize
        `maxPoolSize` - maxPoolSize
        `prefill` - prefill
        `useStrictMin` - useStrictMin
        `flushStrategy` - flushStrategy
        `capacity` - capacity
        `fair` - fair
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### getMinPoolSize

          public java.lang.Integer getMinPoolSize()

      Get the minPoolSize.
      Specified by:
        `getMinPoolSize` in interface `org.jboss.jca.common.api.metadata.common.Pool`
      Returns:
        the minPoolSize.

    - #### getInitialPoolSize

          public java.lang.Integer getInitialPoolSize()

      Get the initial pool size
      Specified by:
        `getInitialPoolSize` in interface `org.jboss.jca.common.api.metadata.common.Pool`
      Returns:
        The value

    - #### getMaxPoolSize

          public java.lang.Integer getMaxPoolSize()

      Get the maxPoolSize.
      Specified by:
        `getMaxPoolSize` in interface `org.jboss.jca.common.api.metadata.common.Pool`
      Returns:
        the maxPoolSize.

    - #### isPrefill

          public java.lang.Boolean isPrefill()

      Get the prefill.
      Specified by:
        `isPrefill` in interface `org.jboss.jca.common.api.metadata.common.Pool`
      Returns:
        the prefill.

    - #### isUseStrictMin

          public java.lang.Boolean isUseStrictMin()

      Get the useStrictMin.
      Specified by:
        `isUseStrictMin` in interface `org.jboss.jca.common.api.metadata.common.Pool`
      Returns:
        the useStrictMin.

    - #### getFlushStrategy

          public org.jboss.jca.common.api.metadata.common.FlushStrategy getFlushStrategy()

      Get the flushStrategy.
      Specified by:
        `getFlushStrategy` in interface `org.jboss.jca.common.api.metadata.common.Pool`
      Returns:
        the flushStrategy.

    - #### getCapacity

          public org.jboss.jca.common.api.metadata.common.Capacity getCapacity()

      Get the capacity
      Specified by:
        `getCapacity` in interface `org.jboss.jca.common.api.metadata.common.Pool`
      Returns:
        The value

    - #### isFair

          public java.lang.Boolean isFair()

      Get pool fairness.
      Specified by:
        `isFair` in interface `org.jboss.jca.common.api.metadata.common.Pool`
      Returns:
        pool fairness.

    - #### validate

          public void validate()
                        throws org.jboss.jca.common.api.validator.ValidateException

      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation fail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)